# Merchant Onboarding Application

CreateMerchantInformation Special instructions: This API does not pass the Request header ParameterX-Merch-Id

Endpoint: POST /api/v2/merch/onboard/apply
Version: 1.0.0

## Header parameters:

  - `X-Merch-Id` (string)

## Request fields (application/json):

  - `request_id` (string, required)
    Request number, Unique within the requesting system

  - `contact_person` (object, required)
    ContactInformation

  - `contact_person.phone_prefix` (string, required)
    CountryRegion area code, such as: +86 or +852

  - `contact_person.phone` (string, required)
    ContactPhone (length 64 characters)

  - `contact_person.email` (string, required)
    ContactEmail(length 64 characters)

  - `license` (object, required)
    EnterpriseInformation

  - `license.region` (string, required)
    2-digit English CountryCode, refer to Appendix-CountryRegion Code

  - `license.ent_name` (string, required)
    EnterpriseName (length 128 characters)

  - `license.ent_name_en` (string, required)
    Enterprise English Name (length 128 characters)

  - `license.found_date` (string, required)
    Date established

  - `license.registered_currency` (string, required)
    Registered capital Currency symbol, Use ISO-4217 standard 3-digit Currency code

  - `license.registered_capital` (number, required)
    Registered capital, CurrencyMinimum Unit. If there is no registered capital, fill in 0; if reigon is a mainland enterprise, it is CNY, if it is a Hong Kong enterprise, it is HKD, and if it is a global enterprise, it is USD.

  - `license.address` (object, required)
    Enterprise registrationAddressInformation

  - `license.address.province` (string, required)
    Province/state, Mainland China Code(See attachment)

  - `license.address.city` (string, required)
    City, Mainland China Code(See attachment)

  - `license.address.zipcode` (string, required)
    post code

  - `license.address.address1` (string, required)
    Address line 1

  - `license.address.address2` (string)
    Address line 2

  - `license.legal_rep_name` (string)
    Region is Mainland Required - Mainland Enterprise name of legal representative

  - `license.license_file_id` (integer)
    region is Mainland Required-Mainland Enterprise Business LicenseFile

  - `license.ent_type` (string)
    region is mainland Required-EnterpriseType: PERSONAL-IndividualMerchant, ENTERPRISE-Enterprise

  - `license.uni_social_credit` (string)
    region is Mainland Required-Mainland Enterprise Unified Social Credit Code

  - `license.busi_from` (string)
    region is Mainland Required-Mainland Enterprise BusinessDate (starting)

  - `license.busi_end` (string)
    Region is Mainland China Optional-Mainland Enterprise BusinessDate (only), and whether long-term are mutually exclusive Required, choose one of them, both pass the default long-term

  - `license.long_term` (boolean)
    region is mainland Optional - whether it is long-term, and EnterpriseBusiness cut-off Date are mutually exclusive, and both default to long-term

  - `license.br_no` (string)
    region is Hong Kong Required-global Enterprise registration certificate number

  - `license.br_file_id` (integer)
    Region is Hong Kong Required-Global Enterprise Company Registration Certificate

  - `license.annual_return_file_id` (integer)
    Region is Hong Kong Optional - Hong Kong Enterprise Annual Return (choose one from the corporate establishment form)

  - `license.incorporation_form_file_id` (integer)
    Region is Hong Kong Optional-Hong Kong Enterprise Incorporation Form (choose one of the annual return form)

  - `license.br_expiry_date` (string)
    region is Hong Kong Required-Hong Kong Enterprise Expiration Date: yyyy-MM-dd

  - `license.cr_issue_date` (string)
    The region is Hong Kong Required-Hong Kong Enterprise Certificate Issue Date:yyyy-MM-dd

  - `license.company_article_file_id` (integer)
    region is global EnterpriseRequired-Articles of Association File

  - `license.cr_file_id` (integer)
    Region is non-mainland Required-Hong Kong/Global Enterprise Company Registration Certificate

  - `license.cr_no` (string)
    Region is non-mainland Required-Hong Kong Enterprise Certificate Number/Global Enterprise Registration Certificate Number

  - `license.share_structure_file_id` (integer)
    region is Global EnterpriseRequired-Global Enterprise Equity Structure File

  - `license.cr_expiry_date` (string)
    Region is Global Required-Global Enterprise Expiration Date: yyyy-MM-dd

  - `license.other_file_ids` (array)
    OtherAttachment

  - `business` (object, required)
    EnterpriseBusinessInformation

  - `business.main_industry` (string, required)
    Main Industrycode (see new IndustryAttachment), one of industry and main_industryRequired; subsequent versions of industry will be abandoned, please transform as soon as possible

  - `business.sub_industry` (array, required)
    Sub-camp Industrycode (see new IndustryAttachment), can be passed when main_industryRequired

  - `business.industry` (integer, required)
    Industry Data Dictionary INDUSTRY(See appendix)

  - `business.employee_number` (string, required)
    Number of Enterprise employees: FIRST_LEVEL: less than 5 people, SECOND_LEVEL: 5-20 people, THIRD_LEVEL: 20-50 people, FOURTH_LEVEL: more than 50 people

  - `business.address` (object, required)
    EnterpriseBusinessAddressInformation

  - `business.address.province` (string, required)
    Province/state, Mainland China Code(See attachment)

  - `business.address.city` (string, required)
    City, Mainland China Code(See attachment)

  - `business.address.zipcode` (string, required)
    post code

  - `business.address.address1` (string, required)
    Address line 1

  - `business.address.address2` (string)
    Address line 2

  - `business.export_country` (array, required)
    Main export Country (non-sanctioned Country), array, Use ISO3166-2 standard 2-digit Country/Region code (See appendix)

  - `business.export_type` (array, required)
    Export Type: SELF_SUPPORT-self-operated export, EXPORT-entrusted export, INTERNATIONAL-international express, OTHER-Other

  - `business.trade_volume` (string, required)
    Monthly trade volume: FIRST_LEVEL (USD 0-50,000), SECOND_LEVEL (USD 50,000-100,000), THIRD_LEVEL (USD 100,000-250,000), FOURTH_LEVEL (USD 250,000-500,000), FIFTH_LEVEL (USD 500,000-1 million), SIXTH_LEVEL (more than 1 million US dollars)

  - `business.website` (string)
    Company website (character length 200)

  - `business.business_models` (array)
    Main BusinessType: B2BCollection-B2B_COLLECTIONS Platform Collection-PLATFORM_COLLECTIONS Independent Station Acquisition-INDEPENDENT_SITE_ACQUIRING

  - `stakeholder_list` (array, required)
    EnterpriseAssociatedPersonalInformationList

  - `stakeholder_list.identity_type` (string, required)
    Identity Type: LEGAL_PERSON-Legal person, BENEFICIARY-Ultimate beneficiary, SHAREHOLDER-Shareholder, DIRECTOR-Director

  - `stakeholder_list.name` (string, required)
    Name (length 128 characters)

  - `stakeholder_list.nationality` (string, required)
    Nationality (ISO3166-2 standard 2-digit Country/Region code)

  - `stakeholder_list.birth_date` (string, required)
    Birthday, Formatyyyy-MM-dd, such as 2023-12-12

  - `stakeholder_list.address_proof_file_id` (integer)
    Address proves File, non-Mainland China ID Card, Address proves FileRequired

  - `stakeholder_list.doc_type` (string, required)
    ID CardType ID_CARD: Second-generation resident ID Card, HK_CARD: Hong Kong permanent residence permit, PASSPORT: Passport, MO_CARD: Macao permanent residence permit, HK_MO_PASS: Mainland travel permit for Hong Kong and Macao residents, TW_CARD: Mainland travel permit for Taiwan residents

  - `stakeholder_list.id_number` (string, required)
    ID Document number (length 18 characters)

  - `stakeholder_list.doc_address` (string)
    ID DocumentDetailedAddress (length 256 characters), mainland ID CardRequired

  - `stakeholder_list.doc_non_portrait_side_file_id` (integer)
    File on the back of ID Document. Except for Passport and Mainland China Pass, which does not require RequiredProvide, OtherID DocumentType all require RequiredProvide.

  - `stakeholder_list.doc_portrait_side_file_id` (integer, required)
    ID Document frontFile

  - `stakeholder_list.eff_date_start` (string, required)
    ID Document starting date; Formatyyyy-MM-dd, such as 2023-12-12

  - `stakeholder_list.eff_date_end` (string)
    ID Document expiration date; Formatyyyy-MM-dd, such as 2023-12-12, choose one from long_term, for others, press DateFormatUpload

  - `stakeholder_list.long_term` (boolean)
    Whether it is long-term (Mainland ID DocumentOptional), choose one of eff_date_end

  - `stakeholder_list.share` (number)
    Shareholding ratio, percentage, 51.12% to 51.12, up to two decimal places, ultimate beneficiary, shareholder Required

  - `stakeholder_list.resident_address` (object, required)
    Resident Address

  - `stakeholder_list.resident_address.province` (string, required)
    Province/state, Mainland China Code(See attachment)

  - `stakeholder_list.resident_address.city` (string, required)
    City, Mainland China Code(See attachment)

  - `stakeholder_list.resident_address.zipcode` (string, required)
    post code

  - `stakeholder_list.resident_address.address1` (string, required)
    Address line 1

  - `stakeholder_list.resident_address.address2` (string)
    Address line 2

## Response 200 fields (*/*):

  - `authorize_link` (string, required)
    AuthorizationLink

  - `merch_id` (string, required)
    Merchantid

